Binding of Isaac - Afterbirth+ Lua Reference/Guide

Public Member Functions | Public Attributes | List of all members
GridEntity Class Reference
Inheritance diagram for GridEntity:

## Public Member Functions
| SetType (GridEntityType Type)
| SetVariant (integer Variant)
| Init (integer Seed)
| PostInit ()
| Update ()
| Render (Vector Offset)
boolean | Hurt (integer Damage)
boolean | Destroy (boolean Immediate)
GridEntityType | GetType ()
integer | GetVariant ()
integer | GetGridIndex ()
Desc & | GetSaveState ()
GridEntityDoor | ToDoor ()
GridEntityPit | ToPit ()
GridEntityPoop | ToPoop ()
GridEntityRock | ToRock ()
GridEntityPressurePlate | ToPressurePlate ()
GridEntitySpikes | ToSpikes ()
GridEntityTNT | ToTNT ()

## Public Attributes
const Vector | Position
| returns the position of the grid cell's center point More...
integer | State
integer | VarData
Desc | Desc
RNG | RNG
CollisionClass | CollisionClass
Sprite | Sprite

## Member Function Documentation

## ◆ Destroy()

boolean GridEntity::Destroy | ( | boolean | Immediate | ) |

## ◆ GetGridIndex()

integer GridEntity::GetGridIndex | ( |  | ) |

## ◆ GetSaveState()

Desc& GridEntity::GetSaveState | ( |  | ) |

## ◆ GetType()

GridEntityType GridEntity::GetType | ( |  | ) |

## ◆ GetVariant()

integer GridEntity::GetVariant | ( |  | ) |

## ◆ Hurt()

boolean GridEntity::Hurt | ( | integer | Damage | ) |

## ◆ Init()

GridEntity::Init | ( | integer | Seed | ) |

## ◆ PostInit()

GridEntity::PostInit | ( |  | ) |

## ◆ Render()

GridEntity::Render | ( | Vector | Offset | ) |

## ◆ SetType()

GridEntity::SetType | ( | GridEntityType | Type | ) |

## ◆ SetVariant()

GridEntity::SetVariant | ( | integer | Variant | ) |

## ◆ ToDoor()

GridEntityDoor GridEntity::ToDoor | ( |  | ) |

## ◆ ToPit()

GridEntityPit GridEntity::ToPit | ( |  | ) |

## ◆ ToPoop()

GridEntityPoop GridEntity::ToPoop | ( |  | ) |

## ◆ ToPressurePlate()

GridEntityPressurePlate GridEntity::ToPressurePlate | ( |  | ) |

## ◆ ToRock()

GridEntityRock GridEntity::ToRock | ( |  | ) |

## ◆ ToSpikes()

GridEntitySpikes GridEntity::ToSpikes | ( |  | ) |

## ◆ ToTNT()

GridEntityTNT GridEntity::ToTNT | ( |  | ) |

## ◆ Update()

GridEntity::Update | ( |  | ) |

## Member Data Documentation

## ◆ CollisionClass

CollisionClass GridEntity::CollisionClass

## ◆ Desc

Desc GridEntity::Desc

## ◆ Position

const Vector GridEntity::Position

returns the position of the grid cell's center point

## ◆ RNG

RNG GridEntity::RNG

## ◆ Sprite

Sprite GridEntity::Sprite

## ◆ State

integer GridEntity::State

## ◆ VarData

integer GridEntity::VarData